Create a leave transaction
curl --request POST \
--url https://api.plane.com/v1/leave-balances/{leave_balance_id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"date": "<string>",
"description": {}
}
'import requests
url = "https://api.plane.com/v1/leave-balances/{leave_balance_id}/transactions"
payload = {
"amount": 123,
"date": "<string>",
"description": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, date: '<string>', description: {}})
};
fetch('https://api.plane.com/v1/leave-balances/{leave_balance_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Leave Transactions
Create a leave transaction
Create a manual leave balance adjustment.
POST
/
v1
/
leave-balances
/
{leave_balance_id}
/
transactions
Create a leave transaction
Parameters
The leave balance that should receive the manual adjustment.
Signed adjustment amount. Positive values add balance and negative values subtract balance.
Effective date for the adjustment. Defaults to today.
Optional freeform note for the manual adjustment.
Returns
Returns the created Leave Transaction object. Manual adjustments are created asposted. The transaction status field is managed by the
leave engine and is not writable.Was this page helpful?
⌘I